- breadcrumb_title _("Advanced Search")
- page_title _("Advanced Search")

- @content_class = "limit-container-width" unless fluid_layout
- help_link_start = "<a class='gl-link' href='#{help_page_path('integration/elasticsearch')}#%{anchor}' target='_blank' rel='noopener noreferrer'>"
- help_zero_downtime_reindexing_link_start = help_link_start.html_safe % { anchor: "zero-downtime-reindexing" }
- help_advanced_search_migrations_link_start = help_link_start.html_safe % { anchor: "advanced-search-migrations" }
- help_recreate_index_link_start = help_link_start.html_safe % { anchor: "last-resort-to-recreate-an-index" }


- if @elasticsearch_warn_if_not_using_aliases
  - content_for :page_level_alert do
    %div{ class: [container_class, @content_class, 'gl-pt-5!'] }
      = render 'shared/global_alert',
        title: s_('AdvancedSearch|Reindex required'),
        dismissible: false,
        variant: :warning do
        .gl-alert-body
          = s_('Introduced in GitLab 13.1, before using %{reindexing_link_start}zero-downtime reindexing%{link_end} and %{migrations_link_start}Advanced Search migrations%{link_end}, you need to %{recreate_link_start}recreate your index%{link_end}.').html_safe % { reindexing_link_start: help_zero_downtime_reindexing_link_start, migrations_link_start: help_advanced_search_migrations_link_start, recreate_link_start: help_recreate_index_link_start, link_end: '</a>'.html_safe }

= render_if_exists 'admin/application_settings/elasticsearch_form'

